	program match288
c
c a routine to match the 2MASS data and the 
c NGC 288 BV data, to make a single output file with BV and K data
c
	implicit real*8 (a-h,o-z)
	real*8 j,k,sj,sk,ra2,dec2
	character*227 line

	open(unit=7,file='n288.2mass5.dat',status='old')

c read header lines

        do i = 1, 15
           read(7,'(a)')line
	enddo


	sepmax = 1.2d0

	do i = 1,100000
           read(7,'(a227)',end=999)line
           read(line(:22),*)ra2,dec2
            read(line(65:89),*)j,dummy,sj
            read(line(137:162),*)k,dummy,sk
	   call find_closest(ra2,dec2,j,sj,k,sk,sepmax)
	enddo
 999	continue
	stop
	end


	subroutine find_closest(ra2,dec2,j,sj,k,sk,sepmax)

	implicit real*8 (a-h,o-z)
	real*8 ra2,dec2,j,sj,k,sk,sepmax
	character*75 line,outline*128

	open(unit=8,file='NGC288.allstars.dat.sorted',status='old')
	read(8,'(a75)',end=999)line
	read(8,'(a75)',end=999)line
        pi = 3.141592654d0

	sepmin = 3600.0d0
	outline = '         '

	do i = 1,100000
	   read(8,'(a75)',end=999)line
           read(line(49:75),*)rah,ram,ras,decd,decm,decs
           sign = 1.0d0
           if (dec/dabs(dec).lt.0.0) sign = -1.0d0
           dec = sign*decd + decm/60.0 + decs/3600.0
           dec = sign*dec
           ra = rah + ram/60.0 + ras/3600.0
           ra = ra * 15.0

           dx = (ra2-ra)*dcos(pi*dec/180.0d0) * 3600.0d0
           dy = (dec2-dec) * 3600.0d0
           sep = dsqrt(dx*dx + dy*dy)
           if (dabs(sep).lt.sepmin) then
              sepmin = sep
              write(outline(:75),'(a75)')line
c             outline(:75) = line
c             write(outline(76:),'(2(1x,f6.3,1x,f5.3))')j,sj,k,sk
              write(outline(76:),'(f10.6,1x,f10.6,2(1x,f6.3,1x,f6.3),f6.3)')
     %           ra2,dec2,j,sj,k,sk,sep
           endif
           if (dx.lt.-sepmax) then
              if (dabs(sepmin).le.sepmax) write(6,'(a128)')outline
	      close(unit=8)
              return
           endif
	enddo
 999	continue
	close(unit=8)
	return
	end
